Debian Bug report logs - #651317
pike7.8: FTBFS on i386: Segmentation fault

version graph

Package: src:pike7.8; Maintainer for src:pike7.8 is Magnus Holmgren <holmgren@debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Wed, 7 Dec 2011 17:57:05 UTC

Severity: serious

Tags: patch

Merged with 640818

Found in version pike7.8/7.8.352-dfsg-4

Fixed in version pike7.8/7.8.352-dfsg-5

Done: Magnus Holmgren <holmgren@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#651317; Package src:pike7.8. (Wed, 07 Dec 2011 17:57:08 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: submit@bugs.debian.org
Subject: pike7.8: FTBFS on i386: Segmentation fault
Date: Wed, 7 Dec 2011 18:56:26 +0100
Source: pike7.8
Version: 7.8.352-dfsg-4
Severity: serious
Justification: fails to build from source

pike7.8 FTBFS on i386:
| #### Making dynamic: post_modules/GL
| Original CFLAGS: -g -g -ggdb3 -mtune=i686  -O3 -pipe -W -Wall -Wno-unused -Wcomment -Wformat -Wimplicit-function-declaration -Wmultichar -Wswitch -Wuninitialized -Wpointer-arith -Wchar-subscripts -Wno-long-long -Wdeclaration-after-statement  -fPIC -DDYNAMIC_MODULE
| Modified CFLAGS:   -mtune=i686  -pipe  -fPIC -DDYNAMIC_MODULE  -O
| Compiling post_modules/GL/top.c
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/pike -DNOT_INSTALLED -DPRECOMPILED_SEARCH_MORE -m/build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike  /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/src/post_modules/GL/gen.pike < /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/src/post_modules/GL/auto.c.in > auto.c.tmp
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:42: Error in constant definition.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:187: Failed to index module Files with 'Stat'. (Module doesn't exist?)
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:368: Cannot inherit program in pass 1 which is only a placeholder.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:368: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:376: No inherit or surrounding class Pike_0_5_master.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:411: No inherit or surrounding class Pike_0_5_master.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:438: Cannot inherit program in pass 1 which is only a placeholder.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:438: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:649: No inherit or surrounding class Pike_0_6_master.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:673: Cannot inherit program in pass 1 which is only a placeholder.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:673: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:712: No inherit or surrounding class Pike_7_0_master.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:736: Cannot inherit program in pass 1 which is only a placeholder.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:736: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:805: No inherit or surrounding class Pike_7_2_master.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:829: Cannot inherit program in pass 1 which is only a placeholder.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:829: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:842: No inherit or surrounding class Pike_7_4_master.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:857: Cannot inherit program in pass 1 which is only a placeholder.
| /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:857: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
| Segmentation fault

Full build log:
https://buildd.debian.org/status/fetch.php?pkg=pike7.8&arch=i386&ver=7.8.352-dfsg-4%2Bb1&stamp=1323253303

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#651317; Package src:pike7.8. (Wed, 21 Mar 2012 20:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Magnus Holmgren <holmgren@debian.org>. (Wed, 21 Mar 2012 20:12:15 GMT) Full text and rfc822 format available.

Message #8 received at 651317@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 651317@bugs.debian.org, 640818@bugs.debian.org
Subject: Re: Bug#651317: pike7.8: FTBFS on i386: Segmentation fault
Date: Wed, 21 Mar 2012 21:10:57 +0100
[Message part 1 (text/plain, inline)]
tag 651317 + patch
# in theory: 651317 and 640818 should be merged, not sure if the BTS
# has recovered yet
thanks

On Wed, 07 Dec 2011 18:56:26 +0100, Jakub Wilk wrote:

> pike7.8 FTBFS on i386:
> | #### Making dynamic: post_modules/GL
> | Original CFLAGS: -g -g -ggdb3 -mtune=i686  -O3 -pipe -W -Wall -Wno-unused -Wcomment -Wformat -Wimplicit-function-declaration -Wmultichar -Wswitch -Wuninitialized -Wpointer-arith -Wchar-subscripts -Wno-long-long -Wdeclaration-after-statement  -fPIC -DDYNAMIC_MODULE
> | Modified CFLAGS:   -mtune=i686  -pipe  -fPIC -DDYNAMIC_MODULE  -O
> | Compiling post_modules/GL/top.c
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/pike -DNOT_INSTALLED -DPRECOMPILED_SEARCH_MORE -m/build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike  /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/src/post_modules/GL/gen.pike < /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/src/post_modules/GL/auto.c.in > auto.c.tmp
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:42: Error in constant definition.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:187: Failed to index module Files with 'Stat'. (Module doesn't exist?)
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:368: Cannot inherit program in pass 1 which is only a placeholder.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:368: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:376: No inherit or surrounding class Pike_0_5_master.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:411: No inherit or surrounding class Pike_0_5_master.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:438: Cannot inherit program in pass 1 which is only a placeholder.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:438: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:649: No inherit or surrounding class Pike_0_6_master.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:673: Cannot inherit program in pass 1 which is only a placeholder.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:673: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:712: No inherit or surrounding class Pike_7_0_master.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:736: Cannot inherit program in pass 1 which is only a placeholder.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:736: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:805: No inherit or surrounding class Pike_7_2_master.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:829: Cannot inherit program in pass 1 which is only a placeholder.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:829: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:842: No inherit or surrounding class Pike_7_4_master.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:857: Cannot inherit program in pass 1 which is only a placeholder.
> | /build/buildd-pike7.8_7.8.352-dfsg-4+b1-i386-mjw1PE/pike7.8-7.8.352-dfsg/build/linux-2.6.32-5-686-bigmem-i686/master.pike:857: (You probably have a cyclic symbol dependency that the compiler cannot handle.)
> | Segmentation fault

I can confirm the build failure and that the patch from 640818 fixes
it. Debdiff attached.

But:

% lintian -F pike7.8_7.8.352-dfsg-4.1_i386.changes
E: pike7.8-sane: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SANE.so /lib/i386-linux-gnu
E: pike7.8-sane: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SANE.so /usr/lib/i386-linux-gnu
E: pike7.8-sane: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SANE.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-gl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GL.so /lib/i386-linux-gnu
E: pike7.8-gl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GL.so /usr/lib/i386-linux-gnu
E: pike7.8-gl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GL.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-gl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GLUT.so /lib/i386-linux-gnu
E: pike7.8-gl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GLUT.so /usr/lib/i386-linux-gnu
E: pike7.8-gl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GLUT.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-gtk: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___GTK2.so /lib/i386-linux-gnu
E: pike7.8-gtk: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___GTK2.so /usr/lib/i386-linux-gnu
E: pike7.8-gtk: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___GTK2.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-bzip2: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Bz2.so /lib/i386-linux-gnu
E: pike7.8-bzip2: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Bz2.so /usr/lib/i386-linux-gnu
E: pike7.8-bzip2: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Bz2.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-pg: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Postgres.so /lib/i386-linux-gnu
E: pike7.8-pg: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Postgres.so /usr/lib/i386-linux-gnu
E: pike7.8-pg: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Postgres.so /usr/lib
E: pike7.8-pg: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Postgres.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-mysql: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Mysql.so /lib/i386-linux-gnu
E: pike7.8-mysql: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Mysql.so /usr/lib/i386-linux-gnu
E: pike7.8-mysql: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Mysql.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-mysql: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Mysql.so /usr/lib/mysql
E: pike7.8-fuse: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Fuse.so /lib/i386-linux-gnu
E: pike7.8-fuse: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Fuse.so /usr/lib/i386-linux-gnu
E: pike7.8-fuse: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Fuse.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-odbc: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Odbc.so /lib/i386-linux-gnu
E: pike7.8-odbc: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Odbc.so /usr/lib/i386-linux-gnu
E: pike7.8-odbc: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Odbc.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-odbc: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Odbc.so /usr/lib
E: pike7.8-gdbm: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Gdbm.so /lib/i386-linux-gnu
E: pike7.8-gdbm: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Gdbm.so /usr/lib/i386-linux-gnu
E: pike7.8-gdbm: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Gdbm.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/bin/pike7.8 /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/bin/pike7.8 /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/bin/pike7.8 /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/COM.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/COM.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/COM.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/CommonLog.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/CommonLog.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/CommonLog.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GSSAPI.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GSSAPI.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/GSSAPI.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Gettext.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Gettext.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Gettext.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/HTTPAccept.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/HTTPAccept.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/HTTPAccept.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Kerberos.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Kerberos.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Kerberos.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Nettle.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Nettle.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Nettle.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Parser.pmod/_parser.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Parser.pmod/_parser.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Parser.pmod/_parser.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Pipe.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Pipe.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Pipe.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Shuffler.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Shuffler.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Shuffler.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Unicode.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Unicode.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Unicode.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_ADT.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_ADT.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_ADT.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Charset.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Charset.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Charset.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_PGsql.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_PGsql.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_PGsql.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Roxen.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Roxen.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Roxen.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Gz.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Gz.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Gz.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___MIME.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___MIME.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___MIME.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Math.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Math.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Math.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Regexp.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Regexp.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Regexp.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Yp.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Yp.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/___Yp.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/spider.so /lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/spider.so /usr/lib/i386-linux-gnu
E: pike7.8-core: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/spider.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Image.so /lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Image.so /usr/lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/Image.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_FreeType.so /lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_FreeType.so /usr/lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_FreeType.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_GIF.so /lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_GIF.so /usr/lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_GIF.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_JPEG.so /lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_JPEG.so /usr/lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_JPEG.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_TIFF.so /lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_TIFF.so /usr/lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_TIFF.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_XFace.so /lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_XFace.so /usr/lib/i386-linux-gnu
E: pike7.8-image: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_XFace.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-sdl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SDL.so /lib/i386-linux-gnu
E: pike7.8-sdl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SDL.so /usr/lib/i386-linux-gnu
E: pike7.8-sdl: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SDL.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-svg: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_SVG.so /lib/i386-linux-gnu
E: pike7.8-svg: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_SVG.so /usr/lib/i386-linux-gnu
E: pike7.8-svg: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Image_SVG.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-pcre: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/____Regexp_PCRE.so /lib/i386-linux-gnu
E: pike7.8-pcre: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/____Regexp_PCRE.so /usr/lib/i386-linux-gnu
E: pike7.8-pcre: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/____Regexp_PCRE.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-sqlite: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SQLite.so /lib/i386-linux-gnu
E: pike7.8-sqlite: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SQLite.so /usr/lib/i386-linux-gnu
E: pike7.8-sqlite: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/SQLite.so /usr/lib/gcc/i486-linux-gnu/4.6
E: pike7.8-dnssd: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Protocols_DNS_SD.so /lib/i386-linux-gnu
E: pike7.8-dnssd: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Protocols_DNS_SD.so /usr/lib/i386-linux-gnu
E: pike7.8-dnssd: binary-or-shlib-defines-rpath usr/lib/pike7.8/modules/_Protocols_DNS_SD.so /usr/lib/gcc/i486-linux-gnu/4.6

Cheers,
gregor

 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   
[651317.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 21 Mar 2012 20:12:17 GMT) Full text and rfc822 format available.

Added indication that bug 651317 blocks 671115 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 13 May 2012 07:03:07 GMT) Full text and rfc822 format available.

Merged 640818 651317 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 12:51:55 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jul 2012 07:26:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:55:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.